# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global mainver 1.2.0
%global apiver  1.0.1

Summary:        Streaming API for XML
URL:            http://stax.codehaus.org/Home
Source0:        http://dist.codehaus.org/stax/distributions/stax-src-1.2.0.zip
Source1:        http://dist.codehaus.org/stax/jars/stax-1.2.0.pom
Source2:        http://dist.codehaus.org/stax/jars/stax-api-1.0.1.pom
Name:           bea-stax
Version:        %{mainver}
Release:        %mkrel 13
License:        ASL 1.1 and ASL 2.0
Group:          Development/Java
BuildArch:      noarch

BuildRequires:          jpackage-utils
BuildRequires:          ant
BuildRequires:          xerces-j2,xalan-j2
BuildRequires:          java-devel
Requires:               jpackage-utils

%description
The Streaming API for XML (StAX) is a groundbreaking
new Java API for parsing and writing XML easily and
efficiently.

%package api
Summary:        The StAX API
Group:          Documentation
Requires:       jpackage-utils

%description api
%{summary}

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}

%prep
%setup -q -c -n %{name}-%{version}

# Convert CR+LF to LF
%{__sed} -i 's/\r//' ASF2.0.txt

%build
export CLASSPATH=`pwd`/build/stax-api-%{apiver}.jar
ant all javadoc

%install
# jar
install -Dpm 0644 build/stax-api-%{apiver}.jar %{buildroot}%{_javadir}/%{name}-api.jar
install -Dpm 0644 build/stax-%{version}-dev.jar %{buildroot}%{_javadir}/%{name}.jar
# the following symlink can be removed once no package needs "bea-stax-ri"
ln -s %{name}.jar %{buildroot}%{_javadir}/%{name}-ri.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

# pom
install -Dpm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
install -Dpm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}-api.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap -f api -a "javax.xml.stream:stax-api" JPP-%{name}-api.pom %{name}-api.jar

%files -f .mfiles
%doc ASF2.0.txt
%{_javadir}/%{name}-ri.jar

%files api -f .mfiles-api
%doc ASF2.0.txt

%files javadoc
%doc ASF2.0.txt
%doc %{_javadocdir}/*




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.2.0-13.mga6
+ Revision: 982553
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.2.0-12.mga6
+ Revision: 975732
- First rebuild of the java stack
- sync package bea-stax with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.2.0-8.mga6
+ Revision: 951876
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 pterjan <pterjan> 1.2.0-7.mga5
+ Revision: 809292
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 741029
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 678132
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 503058
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 346885
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.2.0-2.mga3
+ Revision: 325780
- Add maven pom
- Remove gcj support
- Clean spec file

* Mon Jan 17 2011 dmorgan <dmorgan> 0:1.2.0-1.3.5.mga1
+ Revision: 21384
- imported package bea-stax


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.2.0-1.3.5mdv2011.0
+ Revision: 603759
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.2.0-1.3.4mdv2010.1
+ Revision: 522195
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:1.2.0-1.3.3mdv2010.0
+ Revision: 413168
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0:1.2.0-1.3.2mdv2009.1
+ Revision: 350208
- 2009.1 rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0:1.2.0-1.3.1mdv2009.0
+ Revision: 135828
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.2.0-1.3.1mdv2008.1
+ Revision: 120837
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Oct 13 2007 David Walluck <walluck@mandriva.org> 0:1.2.0-1.3.0mdv2008.1
+ Revision: 97875
- fix build
- rebuild to fix missing arch

  + Anssi Hannula <anssi@mandriva.org>
    - remove unnecessary Requires(post) on java-gcj-compat

* Sun Apr 22 2007 David Walluck <walluck@mandriva.org> 0:1.2.0-1.2mdv2008.0
+ Revision: 17119
- bump release
- BuildRequires: ant
- Import bea-stax



* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 0:1.2.0-1.1mdv2008.0
- 1.2.0

* Wed Jan 18 2006 Fernando Nasser <fnasser@redhat.com> 0:1.2.0-0.rc1.2jpp
- First JPP 1.7 build

* Wed Jan 18 2006 Deepak Bhole <dbhole@redhat.com> 0:1.2.0-0.rc1.1jpp
- Change source zip, and build the ri jars
- Use setup macro in prep
- First version all under APL
- New package name
- Demo still not yet available under the APL; will be in an update

* Tue Apr 26 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_2rh
- First Red Hat build

* Wed Oct 20 2004 David Walluck <david@jpackage.org> 0:1.0-2jpp
- fix build

* Thu Sep 09 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-1jpp
- First JPackage build 
- Note: there is a stax project starting at codehaus
